Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable

From: Glenn Morris <[email-masked]>
Date: Wed, 05 Feb 2014 20:41:29 -0500

Lars Ingebrigtsen wrote:

> set-variable: Value `1e+19' does not match type integer of scroll-conservatively
>

I guess this is due to the feature whereby values too large for integers
are read as floats, eg

http://lists.gnu.org/archive/html/emacs-devel/2010-03/msg00181.html

If so, I guess it is impossible for lisp code to know whether the user
originally typed an integer or a float. Therefore it is impossible to do
anything about this. It frankly doesn't seem worth bothering about
anyway.